The Swift Package Index logo.Swift Package Index

Track the adoption of Swift 6 strict concurrency checks for data race safety. How many packages are Ready for Swift 6?

Build Information

Failed to build Markdown with Swift 5.10 for Linux.

Build Command

bash -c docker run --rm -v "checkouts-4609320-0":/host -w "$workDir" registry.gitlab.com/finestructure/spi-images:basic-5.10-latest swift build 2>&1

Build Log

========================================
RunAll
========================================
Builder version: 4.29.0
Interrupt handler set up.
========================================
Checkout
========================================
Clone URL: https://github.com/twostraws/markdown.git
Reference: main
Initialized empty Git repository in /host/spi-builder-workspace/.git/
hint: Using 'master' as the name for the initial branch. This default branch name
hint: is subject to change. To configure the initial branch name to use in all
hint: of your new repositories, which will suppress this warning, call:
hint:
hint: 	git config --global init.defaultBranch <name>
hint:
hint: Names commonly chosen instead of 'master' are 'main', 'trunk' and
hint: 'development'. The just-created branch can be renamed via this command:
hint:
hint: 	git branch -m <name>
From https://github.com/twostraws/markdown
 * branch            main       -> FETCH_HEAD
 * [new branch]      main       -> origin/main
HEAD is now at ad895d1 Updated README.
Cloned https://github.com/twostraws/markdown.git
Revision (git rev-parse @):
ad895d1cd77d4f6b6775497cbff7b0c5995f7485
SUCCESS checkout https://github.com/twostraws/markdown.git at main
========================================
Build
========================================
Selected platform:         linux
Swift version:             5.10
Building package at path:  $workDir
https://github.com/twostraws/markdown.git
Running build ...
bash -c docker run --rm -v "checkouts-4609320-0":/host -w "$workDir" registry.gitlab.com/finestructure/spi-images:basic-5.10-latest swift build 2>&1
warning: you may be able to install libmarkdown using your system-packager:
    apt-get install libmarkdown2-dev
Building for debugging...
[0/2] Write sources
[1/2] Write swift-version-24593BA9C3E375BF.txt
error: emit-module command failed with exit code 1 (use -v to see invocation)
[3/5] Emitting module Markdown
<module-includes>:1:10: note: in file included from <module-includes>:1:
#include "discount.h"
         ^
/host/spi-builder-workspace/Sources/discount/discount.h:1:10: error: 'mkdio.h' file not found
#include <mkdio.h>
         ^
/host/spi-builder-workspace/Sources/Markdown/Markdown.swift:1:8: error: could not build C module 'Discount'
import Discount
       ^
[4/5] Compiling Markdown Markdown.swift
<module-includes>:1:10: note: in file included from <module-includes>:1:
#include "discount.h"
         ^
/host/spi-builder-workspace/Sources/discount/discount.h:1:10: error: 'mkdio.h' file not found
#include <mkdio.h>
         ^
/host/spi-builder-workspace/Sources/Markdown/Markdown.swift:1:8: error: could not build C module 'Discount'
import Discount
       ^
[5/5] Compiling Markdown ParseOptions.swift
<module-includes>:1:10: note: in file included from <module-includes>:1:
#include "discount.h"
         ^
/host/spi-builder-workspace/Sources/discount/discount.h:1:10: error: 'mkdio.h' file not found
#include <mkdio.h>
         ^
/host/spi-builder-workspace/Sources/Markdown/Markdown.swift:1:8: error: could not build C module 'Discount'
import Discount
       ^
error: fatalError
warning: you may be able to install libmarkdown using your system-packager:
    apt-get install libmarkdown2-dev
[0/1] Planning build
Building for debugging...
[0/1] Write swift-version-24593BA9C3E375BF.txt
[2/4] Compiling Markdown ParseOptions.swift
<module-includes>:1:10: note: in file included from <module-includes>:1:
#include "discount.h"
         ^
/host/spi-builder-workspace/Sources/discount/discount.h:1:10: error: 'mkdio.h' file not found
#include <mkdio.h>
         ^
/host/spi-builder-workspace/Sources/Markdown/Markdown.swift:1:8: error: could not build C module 'Discount'
import Discount
       ^
error: emit-module command failed with exit code 1 (use -v to see invocation)
[3/4] Emitting module Markdown
<module-includes>:1:10: note: in file included from <module-includes>:1:
#include "discount.h"
         ^
/host/spi-builder-workspace/Sources/discount/discount.h:1:10: error: 'mkdio.h' file not found
#include <mkdio.h>
         ^
/host/spi-builder-workspace/Sources/Markdown/Markdown.swift:1:8: error: could not build C module 'Discount'
import Discount
       ^
[4/4] Compiling Markdown Markdown.swift
<module-includes>:1:10: note: in file included from <module-includes>:1:
#include "discount.h"
         ^
/host/spi-builder-workspace/Sources/discount/discount.h:1:10: error: 'mkdio.h' file not found
#include <mkdio.h>
         ^
/host/spi-builder-workspace/Sources/Markdown/Markdown.swift:1:8: error: could not build C module 'Discount'
import Discount
       ^
error: fatalError
BUILD FAILURE 5.10 linux

Build Machine: Linux 2